GLOBAL.STRINGS.NAMES.DEMONSWORD = "Hero Sword"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.DEMONSWORD = "The Basara's own sword."

PrefabFiles = {
	"basara",
	"basara_none",
	"demonsword",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/basara.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/basara.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/basara.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/basara.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/basara_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/basara_silho.xml" ),

    Asset( "IMAGE", "bigportraits/basara.tex" ),
    Asset( "ATLAS", "bigportraits/basara.xml" ),
	
	Asset( "IMAGE", "images/map_icons/basara.tex" ),
	Asset( "ATLAS", "images/map_icons/basara.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_basara.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_basara.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_basara.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_basara.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_basara.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_basara.xml" ),
	
	Asset( "IMAGE", "images/names_basara.tex" ),
    Asset( "ATLAS", "images/names_basara.xml" ),
	
    Asset( "IMAGE", "bigportraits/basara_none.tex" ),
    Asset( "ATLAS", "bigportraits/basara_none.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.basara = "A hero"
STRINGS.CHARACTER_NAMES.basara = "Basara"
STRINGS.CHARACTER_DESCRIPTIONS.basara = "*Have Sword\n*He is strong\n*Can transform"
STRINGS.CHARACTER_QUOTES.basara = "\"Never again\""

-- Custom speech strings
STRINGS.CHARACTERS.BASARA = require "speech_basara"

-- The character's name as appears in-game 
STRINGS.NAMES.BASARA = "Basara"

AddMinimapAtlas("images/map_icons/basara.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("basara", "MALE")


